<?php
namespace text;
/**
 * Security check
 *
 * Prevent direct access to the file.
 *
 * @since 1.2
 */
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}
/**
 * SMS Gateway
 *
 * ...
 *
 * @since 1.0
 */
    class sms_geteway {
        private function user_access() {
        $account = get_option('sms_account');
        return $xml = '<user>
        <username>' . $account['sms_user_name'] . '</username>
        <password>' . $account['sms_pass'] . '</password>
        </user>';
    }
    private function sms_content( $content, $phone_num ) {
        return $xml = '<destinations>
        <phone id="TextMe">' . $phone_num . '</phone>
        </destinations>
        <message>' . $content . '</message>';
    }
    public function send_sms($billing_phone,$sms_content ) {
		
	$account = get_option('sms_account');
		 $username = $account['sms_user_name'];
		 $password = $account['sms_pass'];
		$from = $account['sms_from'];
       $url = "http://Lifetimesms.com/plain?username=".$username."&password=" .$password.
       "&to=" .$billing_phone. "&from=" .urlencode($from)."&message=" .urlencode($sms_content)."";
	   $ch = curl_init();
        $timeout = 30;
        curl_setopt ($ch,CURLOPT_URL, $url) ;
        curl_setopt ($ch,CURLOPT_RETURNTRANSFER, 1);
        curl_setopt ($ch,CURLOPT_CONNECTTIMEOUT, $timeout) ;
       $xml = curl_exec ($ch);
	   curl_close($ch);
	   return $xml;
	  // die();
    }
    public function get_balance() {
        $account = get_option('sms_account');
        $username  = $account['sms_user_name'];
	    $password = $account['sms_pass'];		
        $url = "http://Lifetimesms.com/credit?username=".$username."&password=" .$password."";
        //Curl Start
        $ch = curl_init();
        $timeout = 30;
        curl_setopt ($ch,CURLOPT_URL, $url) ;
        curl_setopt ($ch,CURLOPT_RETURNTRANSFER, 1);
        curl_setopt ($ch,CURLOPT_CONNECTTIMEOUT, $timeout) ;
        $response = curl_exec($ch) ;
        curl_close($ch) ;
	    return $response;
	}
    
    public function create_sms_content( $order_id, $sms_customer ) {
       $order = new \ WC_Order( $order_id );
       $billing_first_name = get_post_meta( $order_id, '_billing_first_name', true );
       $billing_last_name  = get_post_meta( $order_id, '_billing_last_name',  true );
       $billing_address    = get_post_meta( $order_id, '_billing_address_1',  true );
       $billing_city       = get_post_meta( $order_id, '_billing_city',       true );
       $billing_email      = get_post_meta( $order_id, '_billing_email',      true );
       $billing_order_product      = get_post_meta( $order_id, '_order_product',      true );
       $billing_order_total      = get_post_meta( $order_id, '_order_total',      true );
       $billing_postcode      = get_post_meta( $order_id, '_billing_postcode',      true );
       $billing_country      = get_post_meta( $order_id, '_billing_country',      true );
       $billing_state      = get_post_meta( $order_id, '_billing_state',      true );
       $billing_phone      = get_post_meta( $order_id, '_billing_phone',      true );
       $sms_customer = str_replace( "[order number]",   $order_id, $sms_customer );
       $sms_customer = str_replace( "[first name]",   $billing_first_name, $sms_customer );
       $sms_customer = str_replace( "[last name]",    $billing_last_name, $sms_customer  );
       $sms_customer = str_replace( "[order number]", $order_id, $sms_customer           );
       $sms_customer = str_replace( "[address]",      $billing_address, $sms_customer    );
       $sms_customer = str_replace( "[city]",         $billing_city, $sms_customer       );
       $sms_customer = str_replace( "[email]",        $billing_email, $sms_customer      );
       $sms_customer = str_replace( "[order product]",        $billing_order_product, $sms_customer      );
       $sms_customer = str_replace( "[total amount]",        $billing_order_total, $sms_customer      );
       $sms_customer = str_replace( "[postcode]",        $billing_postcode, $sms_customer      );
       $sms_customer = str_replace( "[billing_country]",        $billing_country, $sms_customer      );
       $sms_customer = str_replace( "[billing_state]",        $billing_state, $sms_customer      );
       $sms_customer = str_replace( "[billing_phone]",        $billing_phone, $sms_customer      );
       return $sms_customer;
    }
}
